GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
priming.cpp File Reference
`#include "gridfire/engine/procedures/priming.h"`
`#include "gridfire/engine/views/engine_priming.h"`
`#include "gridfire/engine/procedures/construction.h"`
`#include "gridfire/solver/solver.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/network.h"`
`#include "fourdst/logging/logging.h"`
`#include "quill/Logger.h"`
`#include "quill/LogMacros.h"`

## Namespaces
namespace | gridfire

## Functions
const reaction::Reaction * | gridfire::findDominantCreationChannel (const DynamicEngine &engine, const Species &species, const fourdst::composition::Composition &comp, const double T9, const double rho)
PrimingReport | gridfire::primeNetwork (const NetIn &netIn, DynamicEngine &engine)
| Primes absent species in the network to their equilibrium abundances.
double | gridfire::calculateDestructionRateConstant (const DynamicEngine &engine, const Species &species, const Composition &comp, const double T9, const double rho)
double | gridfire::calculateCreationRate (const DynamicEngine &engine, const Species &species, const Composition &comp, const double T9, const double rho)